RDKit: RDKit::MolAlign::SDM Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MolAlign::SDM Class Reference

`#include <O3AAlignMolecules.h>`

## Public Member Functions
| SDM (const Conformer *prbConf=nullptr, const Conformer *refConf=nullptr, O3AConstraintVect *o3aConstraintVect=nullptr)
| SDM (const SDM &other)
SDM & | operator= (const SDM &other)
| ~SDM ()=default
void | fillFromDist (double threshold, const boost::dynamic_bitset<> &refHvyAtoms, const boost::dynamic_bitset<> &prbHvyAtoms)
void | fillFromLAP (LAP &lap)
double | scoreAlignment (double(*scoringFunc)(const unsigned int, const unsigned int, void *), void *data)
void | prepareMatchWeightsVect (RDKit::MatchVectType &matchVect, RDNumeric::DoubleVector &weights, double(*weightFunc)(const unsigned int, const unsigned int, void *), void *data)
unsigned int | size ()

## Detailed Description

Definition at line 187 of file O3AAlignMolecules.h.

## Constructor & Destructor Documentation

## ◆ SDM() [1/2]

RDKit::MolAlign::SDM::SDM | ( | const Conformer * | prbConf = nullptr,
|  | const Conformer * | refConf = nullptr,
|  | O3AConstraintVect * | o3aConstraintVect = nullptr )
| inline

Definition at line 190 of file O3AAlignMolecules.h.

Referenced by operator=(), and SDM().

## ◆ SDM() [2/2]

RDKit::MolAlign::SDM::SDM | ( | const SDM & | other | ) |
| inline

Definition at line 196 of file O3AAlignMolecules.h.

References SDM(), and size().

## ◆ ~SDM()

RDKit::MolAlign::SDM::~SDM | ( |  | ) |
| default

## Member Function Documentation

## ◆ fillFromDist()

void RDKit::MolAlign::SDM::fillFromDist | ( | double | threshold,
|  | const boost::dynamic_bitset<> & | refHvyAtoms,
|  | const boost::dynamic_bitset<> & | prbHvyAtoms )

## ◆ fillFromLAP()

void RDKit::MolAlign::SDM::fillFromLAP | ( | LAP & | lap | ) |

## ◆ operator=()

SDM & RDKit::MolAlign::SDM::operator= | ( | const SDM & | other | ) |
| inline

Definition at line 208 of file O3AAlignMolecules.h.

References SDM().

## ◆ prepareMatchWeightsVect()

void RDKit::MolAlign::SDM::prepareMatchWeightsVect | ( | RDKit::MatchVectType & | matchVect,
|  | RDNumeric::DoubleVector & | weights,
|  | double(* | weightFunc )(const unsigned int, const unsigned int, void *),
|  | void * | data )

## ◆ scoreAlignment()

double RDKit::MolAlign::SDM::scoreAlignment | ( | double(* | scoringFunc )(const unsigned int, const unsigned int, void *),
|  | void * | data )

## ◆ size()

unsigned int RDKit::MolAlign::SDM::size | ( |  | ) |
| inline

Definition at line 238 of file O3AAlignMolecules.h.

Referenced by SDM().

The documentation for this class was generated from the following file:

- O3AAlignMolecules.h